/* ###################################################################
**     Filename    : Events.c
**     Project     : HART_AO
**     Processor   : MK60FN1M0VLQ12
**     Component   : Events
**     Version     : Driver 01.00
**     Compiler    : GNU C Compiler
**     Date/Time   : 2015-07-10, 13:29, # CodeGen: 0
**     Abstract    :
**         This is user's event module.
**         Put your event handler code here.
**     Settings    :
**     Contents    :
**         Cpu_OnNMIINT - void Cpu_OnNMIINT(void);
**
** ###################################################################*/
/*!
** @file Events.c
** @version 01.00
** @brief
**         This is user's event module.
**         Put your event handler code here.
*/         
/*!
**  @addtogroup Events_module Events module documentation
**  @{
*/         
/* MODULE Events */

#include "Cpu.h"
#include "Events.h"
#include "uart.h"
#include "isr.h"
#ifdef __cplusplus
extern "C" {
#endif 




/* User includes (#include below this line is not maintained by Processor Expert) */

/*
** ===================================================================
**     Event       :  Cpu_OnNMIINT (module Events)
**
**     Component   :  Cpu [MK60FN1M0LQ15]
*/
/*!
**     @brief
**         This event is called when the Non maskable interrupt had
**         occurred. This event is automatically enabled when the [NMI
**         interrupt] property is set to 'Enabled'.
*/
/* ===================================================================*/
void Cpu_OnNMIINT(void)
{
  /* Write your code here ... */
}

PE_ISR(uart5_Interrupt)
{
	uart_putchar (UART5_BASE_PTR,'I');
     //check status flag which interrupt for uart5 is it receiver buffer full chk rx buffer full or not
	if((UART_S1_REG(UART5_BASE_PTR) & UART_S1_RDRF_MASK)){
	uart5_handler();
	}
}
PE_ISR(CAN1_MB_ISR)
{
	//printf("can");
	FlexCAN_MB_ISR();
	//uart_putchar (UART5_BASE_PTR,'1');

}
PE_ISR(CAN1_BusOff_ISR)
{
	//printf("can");
	FlexCAN_BusOff_ISR();
	//uart_putchar (UART5_BASE_PTR,'2');
}
PE_ISR(CAN1_Error_ISR)
{
	//printf("can");
	FlexCAN_Error_ISR();
	//uart_putchar (UART5_BASE_PTR,'3');
}
PE_ISR(CAN1_TxWarning_ISR)
{
	//printf("can");
	FlexCAN_TxWarning_ISR();
	//uart_putchar (UART5_BASE_PTR,'4');
}
PE_ISR(CAN1_RxWarning_ISR)
{
	//printf("can");
	FlexCAN_RxWarning_ISR();
	//uart_putchar (UART5_BASE_PTR,'5');
}
PE_ISR(CAN1_Wakeup_ISR)
{
	//printf("can");
	FlexCAN_Wakeup_ISR();
	//uart_putchar (UART5_BASE_PTR,'6');
}
/* END Events */

#ifdef __cplusplus
}  /* extern "C" */
#endif 

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.11]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
