/* ###################################################################
**     Filename    : main.c
**     Project     : HART_AO
**     Processor   : MK60FN1M0VLQ12
**     Version     : Driver 01.01
**     Compiler    : GNU C Compiler
**     Date/Time   : 2015-07-10, 13:29, # CodeGen: 0
**     Abstract    :
**         Main module.
**         This module contains user's application code.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/*!
** @file main.c
** @version 01.01
** @brief
**         Main module.
**         This module contains user's application code.
*/         
/*!
**  @addtogroup main_module main module documentation
**  @{
*/         
/* MODULE main */


/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "uart.h"
/* Including shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "stdio.h"
#include "can.h"
void  CAN_Loopback(void);
void InitTarget(void);

	void block( unsigned long value)
{
		 long i;

		    for(i=0;i<value;i++)
    {

    }
}
	void uart_isr(void)
	{
		UART_C2_REG(UART5_BASE_PTR) |= (UART_C2_RIE_MASK );//Receiver Interrupts Enabled

		 UART_C5_REG(UART5_BASE_PTR) = 0;//to generate interrupt request
		 /* To enable UART interrupt set the ICPR and ISER registers accordingly*/
		  NVICICPR2 |= 1 << (55%32); // 55 is the IRQ number of UART5 interrupt
		  NVICISER2 |= 1 << (55%32); // 55 is the IRQ number of UART5 interrupt

	}

int main(void)
{
	//printf("HART_AO\n\r");

	init_clock();
	char uart_rx;
	uart_init (UART5_BASE_PTR,120000,230400);//sysclk for k60 twrboard is 120MHz
	//uart_isr();

	 // Enable ERCLK clock to FlexCAN
	  OSC0_CR |= OSC_CR_ERCLKEN_MASK | OSC_CR_EREFSTEN_MASK;

	  InitTarget();

	  // Print Startup banners and options
	 // printf("\r\nHello Kinetis,Welcome to CAN Loopback Node!\r\n");

	  CAN_Loopback();

}

/* To handle received data at the interrupt service routine.*/

void uart5_handler(void)
{
	char data;
	uart_putchar (UART5_BASE_PTR,'I');
	data=UART_S1_REG(UART5_BASE_PTR) ;//clear status flag
	 //read uart5
	UART_C2_REG(UART5_BASE_PTR)&=~(UART_C2_RIE_MASK);//disable interrupts


}

void InitTarget(void)
{

	SIM_SCGC5 |= (SIM_SCGC5_PORTA_MASK
	             | SIM_SCGC5_PORTB_MASK
	             | SIM_SCGC5_PORTC_MASK
	             | SIM_SCGC5_PORTE_MASK );

// Configure CAN_TX/RX pins mulxed with PTE16/217 for FlexCAN1
	PORTC_PCR16 = PORT_PCR_MUX(2) | PORT_PCR_PE_MASK | PORT_PCR_PS_MASK; // PULLUP
	PORTC_PCR17 = PORT_PCR_MUX(2) | PORT_PCR_PE_MASK | PORT_PCR_PS_MASK; // PULLUP


        // Disable clock gating to PortC since other pins are not used
                 SIM_SCGC5 &= ~(0x0800);
}

void  CAN_Loopback(void)
{
        char ch;
        HANDLE h;
        uint32  baud = 83;  // 83KHz
        uint32  rxMsgID = 0x82;
        uint32  txMsgID = 0x82;
        uint8   prio = 0;
        int16   noBytesRx = 0;
        uint32  idRxed;
        uint8   bytes[9];

        // Initialize driver
        h = FlexCAN_Open();

        // Initialize CAN module
        FlexCAN_Init(baud);


        FlexCAN_EnableMB_Interrupt(FLEXCAN_RX_MB_START);    // enable rx MB interrupt
        FlexCAN_EnableMB_Interrupt(FLEXCAN_TX_MB_START);    // enable tx MB interrupt

        FlexCAN_ConfigureRxMBMask(FLEXCAN_RX_MB_START,0);   // receive all messages

        // Configure FLEXCAN_RX_MB_START MB as rx MB with rxMsgID
        FlexCAN_PrepareRxCANMB(FLEXCAN_RX_MB_START, rxMsgID);

	while(1)
	{
		uart_putchar (UART5_BASE_PTR,'A');
              // Read message bytes
              /*  do{
                 noBytesRx = FlexCAN_Read(h,0,&idRxed,bytes);
               }
                while(!noBytesRx);

                // echo the message to the remote node

                // Write to FlexCAN
                txMsgID = idRxed;
                FlexCAN_Write(h, txMsgID, 1,bytes,noBytesRx);*/
				ch=1;
		 // Write to FlexCAN
		              FlexCAN_Write(h, txMsgID, prio, (uint8 *)&ch,1);
		                block(0xffffff);
		                //do{
		                 noBytesRx = FlexCAN_Read(h,0,&idRxed,bytes);
		                printf("%c",noBytesRx);
		              // }
		               // while(!noBytesRx);
		               // out_char(bytes[0]);

		                               // bytes[noBytesRx] = 0;
		                          //  printf("%s\n",bytes);


	}
}


